Get translation memories
curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"maxTmsEnabled": 123,
"ptmsPerTargetLang": [
{
"ptmsPerWfStep": [
{
"ptmData": [
{
"applyPenaltyTo101Only": true,
"order": 123,
"penalty": 123,
"readMode": true,
"sharedOwner": "<string>",
"targetLang": "<string>",
"transMemory": {
"uid": "<string>",
"internalId": 123,
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"wfStep": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"writeMode": true
}
],
"wfStep": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
}
],
"targetLang": "<string>"
}
]
}Project
Get translation memories
deprecated
Deprecated. Use GET /api2/v3/projects//transMemories instead.
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
transMemories
Get translation memories
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Query Parameters
Filter project translation memories by target language
Filter project translation memories by workflow step
Define priority order for translation memories
Get all TMs in shared project (TM assigned from vendor and buyer)
Was this page helpful?
⌘I